Bug 348661 - Need python bindings for NSS
Need python bindings for NSS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 348321 348501
  Show dependency treegraph
 
Reported: 2007-10-23 07:46 EDT by Tomas Mraz
Modified: 2010-06-22 10:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-02 10:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2007-10-23 07:46:24 EDT
To be able to port python applications from OpenSSL to NSS we need python
bindings for this library. They should be similar in features to the OpenSSL
bindings.
Comment 1 John Poelstra 2008-08-27 20:04:14 EDT
this is done and can be closed, right?

https://fedoraproject.org/wiki/Features/PythonNSS
Comment 2 Kai Engert (:kaie) 2008-08-27 20:10:24 EDT
forwarding the question to Bob
Comment 3 Kai Engert (:kaie) 2008-08-27 20:52:45 EDT
So, I think it's done, but I'll give the bug over to John, he should be able to give us an update.
Comment 4 John Dennis 2008-09-02 10:13:23 EDT
The package python-nss is now in Fedora. Currently it is only built for F10/rawhide. Documentation can be found in the usual place, /usr/share/doc/python-nss*

Note: this is first cut at the binding, NSS/NSPR is a very large API and although coverage is very good it's not 100%. Also I expect as the binding is used by developers we'll discover areas which may need some redesign or tweaking. So I invite all users to provide feedback on this still very young package.

Note You need to log in before you can comment on or make changes to this bug.